ISCSICTL(8)

NAME
iscsictl - control the Internet SCSI (iSCSI) servicio

SYNOPSIS
iscsictl [-s socket] command [argument ...]

DESCRIPTION
The iscsictl program controls the iscsid(8) servicio. Commands may be abbreviated to the minimum unambiguous prefix.

The following options are available:

-s socket
    Use socket instead of the default /var/run/iscsid.sock to communicate with iscsid(8).

The following commands are available:

reload
    Reload the configuration file and wait to return until iscsid reports all connections have completed (successfully or otherwise), or for up to 10 seconds.

show [summary]
    Show a list of all configured sessions.

show vscsi stats
    Show statistics of vscsi(4) usage. It shows how many calls were issued and how many bytes were read or written.

FILES
/etc/iscsi.conf
    Default iscsid(8) configuration file.
/var/run/iscsid.sock
    UNIX-domain socket used for communication with iscsid(8).

SEE ALSO
iscsi.conf(5), iscsid(8)

HISTORY
The iscsictl program first appeared in OpenBSD 4.9.